Subject: Re: bug#63916: 30.0.50; use-package: changes do not propagate to elpa-devel

From: Stefan Monnier <[email-masked]>
Date: Sun, 11 Jun 2023 12:55:39 -0400

>> I agree that these kinds of problems are annoying to debug.  It would be
>> nice to offer a "debug mode" where the user can see what's going on
>> within the sandbox.  Maybe we could do that by opening an interactive
>> shell with a message saying "this is the command that we want to run"
>> and then let the user run that command?
> Shouldn't just invoking bash do that?

Yes, it should be fairly easy to do.

> But returning to the initial issue (hoping I did not miss anything), if
> the issue is not what I mentioned, then why is use-package not building?

You did not miss anything: it's not building simply because the process
run within the sandbox cannot read the target of the `use-package.texi`
symlink because the sandbox does not expose this target.

        Stefan